%define	name	scribus
%define	version	0.9.7
%define	release	1mdk

%define	major	0
%define	libname	lib%name%major

Summary: 	Scribus layout program
Name: 		%name
Version: 	%version
Release:	%release
Source0:	http://web2.altmuehlnet.de/fschmid/scribus-%{version}.tar.bz2
Source1:	%name-i18n-de.tar.bz2
Source2:	%name-i18n-fr.tar.bz2
Source3:	%name-i18n-en.tar.bz2
Source4:	%name-samples-0.1.tar.bz2
URL: 		http://web2.altmuehlnet.de/fschmid/

License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libqt3-devel libpng-devel libjpeg62-devel zlib-devel
Buildrequires:  liblcms1-devel
Requires:	liblcms1
Requires:	%libname = %version-%release
Obsoletes:	kde3-scribus 
Provides:  	kde3-scribus 

%description
Scribus is a DTP (Desktop Publishing) application in the tradtion of
Xpress, Pagemaker or similar. At the moment it is still in the early
stages of development, but fairly usable. You can do all the important
things, such as embedding pictures, placing text on a page and much
more.

Printing is done via the application's own Postscript driver, since the
driver supplied by Qt has too many limitations and each version of it
has its own faults. The driver that ships with Scribus can embed fonts
for printing and can use EPS images at high quality.

At the moment Scribus supports only Type1 (Postscript) and TrueType
fonts.

%package -n %libname
Summary:	Main libraries for %name.
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

Obsoletes:  libkde3-scribus0 
Provides:   libkde3-scribus0 


%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name.                                                                                                                            

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %libname library.
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

Obsoletes:  libkde3-scribus0-devel
Provides:   libkde3-scribus0-devel

%description -n %{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %name
package installed.

%package -n %name-i18n-de
Summary:	German documentation for scribus.
Group:		Office
Requires:	%name locales-de
Provides:	%name

%description -n %name-i18n-de
German documentation for scribus.

%package -n %name-i18n-fr
Summary:	French documentation for scribus.
Group:		Office
Requires:	%name locales-fr
Provides:	%name

%description -n %name-i18n-fr
French documentation for scribus.

%prep
%setup  -q -n scribus-%{version}
%setup -q -T -D -a1
%setup -q -T -D -a2
%setup -q -T -D -a3
%setup -q -T -D -a4

#%patch1 -p1

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/lcms"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/lcms"

./configure --prefix=%_prefix \
		--mandir=%_mandir \
		--datadir=%_datadir \
		--disable-debug 

#configure i18n and plugins
for i in %name-i18n-de %name-i18n-fr ; do cd $i; ./configure --prefix=/usr; cd ..; done

%make

# build en doc

cd %name-i18n-en ; %configure ; %make ; cd ..

# build samples

cd %name-samples-0.1 ; %configure ; %make ; cd ..

%install
# Laurent don't use %%makeinstall it doesn't work
# lib and pugins in not install in good directory.
make DESTDIR=%buildroot install

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="scribus" \
title="Scribus" \
longtitle="Scribus layout program" \
needs="x11" \
section="Applications/Publishing" \
icon="wordprocessor_section.png"
EOF

#build i18n
for i in %name-i18n-de %name-i18n-fr ; do cd $i; %make; %makeinstall; cd ..; done

cd %name-i18n-en ; %makeinstall ; cd ..
cd %name-samples-0.1 ; %makeinstall ; cd ..

%post
%update_menus

%postun
%clean_menus


%post -n %{libname} -p /sbin/ldconfig                                                                                                        
%postun -n %{libname} -p /sbin/ldconfig                                                                                                      

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/*
%_menudir/*

%dir %_libdir/scribus
%_libdir/scribus/*.qm
%_libdir/scribus/*.enc
#%_libdir/scribus/*.jpg
%_libdir/scribus/*.txt


%_libdir/scribus/plugins
%_libdir/scribus/samples
%_libdir/scribus/profiles
%_libdir/scribus/dicts

%dir %_libdir/scribus/icons/
%_libdir/scribus/icons/*.xpm
%_libdir/scribus/icons/*.png
%_libdir/scribus/icons/*.jpg


%_libdir/scribus/doc/en

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/%name/libs/*.so*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/%name/libs/*a
%_includedir/%name/*

%files -n %name-i18n-fr
%defattr(-,root,root)
%_datadir/scribus/doc/fr

%files -n %name-i18n-de
%defattr(-,root,root)
%_datadir/scribus/doc/de

%changelog
* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add now splitted sources

* Wed Jan 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- Add patch1: fix compile

* Mon Dec 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

* Wed Dec 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- fix group
- fix missing dependancies

* Sun Nov 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Nov 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3mdk
- from Austin Acton <aacton@yorku.ca> :
	- add i18n packages

* Wed Nov 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- fix desc. (Adam Williamson)

* Mon Nov 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- 0.9.2
	- remove fr and de directories (to be added later as i18n sources)
	- todo: add new sources and packages for i18n and plugins

* Sun Sep 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Wed Sep 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- from Reinhard Katzmann <reinhard@suamor.de> :
	- 0.7.8
	- added profiles
	- added include directory to -devel

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-4mdk
- fix icons section (Austin Acton)

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.6-3mdk
- Rebuild against gcc-3.2

* Mon Jul 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- add encodings, samples, plugins
	- move some .so's in order to run without devel package

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.4-1mdk
- new version

* Mon Jun 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.3-3mdk
- Fix spec file bug reported by Yannick Roehlly <yannick.roehlly@free.fr>

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.3-2mdk
- Fix obsoletes/provides

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new kde3.0 move it to main

* Sun May 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- New version

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-2mdk
- Rebuild against gcc3.1

* Sun Apr 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- Port to kde3.0

* Mon Apr 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Tue Apr 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8

* Sun Mar 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7

* Tue Feb 19 2002 Yves Duret <yduret@mandrakesoft.com> 0.5.5-2mdk
- added missing plugins thanx Reinhard Katzmann <suamor@gmx.net>
  (libdification in fact)

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Wed Jan 23 2002 Laurent MONTEL <lmontel@mandraksoft.com> 0.5.3-2mdk
- Rebuild
 
* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Jan 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5-3mdk
- Fix menu entry (add icon)

* Sun Dec 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.5-2mdk
- add buildrequires
- even better description (truetype fonts is now supported)
- %%setup -q, few spec corrections
- fix rpmlint warnings
- remove patch1 no more needed

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Mon Nov 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10-1mdk
- 0.4.10

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Mon Nov 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Thu Oct 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.6-1mdk
- Update code (0.4.6)

* Mon Oct 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Thu Oct 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-2mdk
- Clean spec
- Patch1 : fix compile with enable-final

* Mon Oct 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-1mdk
- Update code (0.4.3)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Sun Aug 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.10-1mdk 
- new in contribs

